commit:     9be24f8b817ccbaa50ffa9498b1191d8091063b7
Author:     Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Tue Jan 30 21:21:22 2018 +0000
Commit:     Aric Belsito <lluixhi <AT> gmail <DOT> com>
CommitDate: Tue Jan 30 21:21:22 2018 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=9be24f8b

dev-libs/libbsd: version bump to 0.8.7

 dev-libs/libbsd/Manifest            |  1 +
 dev-libs/libbsd/libbsd-0.8.7.ebuild | 45 +++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-libs/libbsd/Manifest b/dev-libs/libbsd/Manifest
index 2b971ba..bef4627 100644
--- a/dev-libs/libbsd/Manifest
+++ b/dev-libs/libbsd/Manifest
@@ -1 +1,2 @@
 DIST libbsd-0.8.6.tar.xz 371112 SHA256 
467fbf9df1f49af11f7f686691057c8c0a7613ae5a870577bef9155de39f9687 SHA512 
ece01ced324f840c2cee6321c7dcf97ff123d55ea9f203c1ce35e1b46643dc7b34ef6dc6c8d128252b36848624850b40823411cc96b99a66a401eb1e9d8cea6b
 WHIRLPOOL 
e4f9b84fb9c0953fd1732725b481d04e69b03ceeb35ec708bd4ecf549e01c3787323d18d7d0058c293ea31e6d135e734c73345c5af1dabed36a9551bdf5e3dc5
+DIST libbsd-0.8.7.tar.xz 371772 BLAKE2B 
aa4aa1c19872edf9e7e6ed270275199366345531a48ee28c25e209f17c5403a22269b91ab1c806cb1b54ba33a8464f4b035fe7ee2bc5dddd0a4fda09c540b058
 SHA512 
605a14eb5d33c0e45c3bd29e585ebc15832e2ed1efa9356291a0562622168da96db1a20766e9dae8910ea0c1516429f43905edc8d4f2a40a5a341a689d08fcc3

diff --git a/dev-libs/libbsd/libbsd-0.8.7.ebuild 
b/dev-libs/libbsd/libbsd-0.8.7.ebuild
new file mode 100644
index 0000000..338666f
--- /dev/null
+++ b/dev-libs/libbsd/libbsd-0.8.7.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit multilib-minimal
+
+DESCRIPTION="An library to provide useful functions commonly found on BSD 
systems"
+HOMEPAGE="https://libbsd.freedesktop.org/wiki/";
+SRC_URI="https://${PN}.freedesktop.org/releases/${P}.tar.xz";
+
+LICENSE="BSD BSD-2 BSD-4 ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~mips ~ppc ~x86"
+IUSE="static-libs"
+
+DEPEND=">=sys-kernel/linux-headers-3.17"
+RDEPEND=""
+
+src_prepare() {
+       eapply "${FILESDIR}"/${PN}-0.8.5-cdef-headers.patch
+       default
+}
+
+pkg_setup() {
+       local f="${EROOT}/usr/$(get_libdir)/${PN}.a"
+       local m="You need to remove ${f} by hand or re-emerge sys-libs/glibc 
first."
+       if ! has_version ${CATEGORY}/${PN}; then
+               if [[ -e ${f} ]]; then
+                       eerror "${m}"
+                       die "${m}"
+               fi
+       fi
+}
+
+multilib_src_configure() {
+       # The build system will install libbsd-ctor.a despite of 
USE="-static-libs"
+       # which is correct, see:
+       # 
https://cgit.freedesktop.org/libbsd/commit/?id=c5b959028734ca2281250c85773d9b5e1d259bc8
+       ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+       find "${ED}" -name "*.la" -delete || die
+}

Reply via email to